<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <main>
        <div>
            <h1>My lists</h1>
            <p><a href="{% url 'todo_list_create' %}">create a new list</a></p>
            <p><a href="{% url 'todo_item_create' %}">create a new item</a></p>

            <table>
              <thead>
                <tr>
                    <th>Name</th>

                    <th>Number of items</th>
                </tr>
              </thead>
              <tbody>
                {% for i in todolist_list %}
                <tr>
                    <td><a href="{% url 'todo_list_detail' i.pk %}">{{ i.name }}</a></td>
                    <td>{{ i.items.all|length }}</td>
                </tr>
                {% endfor %}
              </tbody>
            </table>
        </div>
    </main>
</body>
</html>
